# Enum Class AuthenticatorBase.SsoReauthenticationMode

java.lang.Object
java.lang.Enum<AuthenticatorBase.SsoReauthenticationMode>
org.apache.catalina.authenticator.AuthenticatorBase.SsoReauthenticationMode

All Implemented Interfaces:
  `Serializable, Comparable<AuthenticatorBase.SsoReauthenticationMode>, Constable`

Enclosing class:
  `AuthenticatorBase`

protected static enum AuthenticatorBase.SsoReauthenticationMode extends Enum<AuthenticatorBase.SsoReauthenticationMode>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
`FULL`
`PASSWORD`
`PRINCIPAL`

## Method Summary

Modifier and Type
Method
Description
`static AuthenticatorBase.SsoReauthenticationMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthenticatorBase.SsoReauthenticationMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final AuthenticatorBase.SsoReauthenticationMode DEFAULT

### PRINCIPAL

public static final AuthenticatorBase.SsoReauthenticationMode PRINCIPAL

### PASSWORD

public static final AuthenticatorBase.SsoReauthenticationMode PASSWORD

### FULL

public static final AuthenticatorBase.SsoReauthenticationMode FULL

## Method Details

### values

public static AuthenticatorBase.SsoReauthenticationMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AuthenticatorBase.SsoReauthenticationMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null